/users

This endpoint allows the users to retrieve a list of users within the account. This endpoint supports filtering, pagination, and sorting, as well as including additional information with the response. It is important to note that after using the pageSize parameter, the "totalSize" in the response represents the total number of available users, not the number of users resulting from the query string.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
include
array of strings
include
sort
array of strings
Defaults to +firstName

Comma separated list of of fields that should be sorted. By default, the users response is sorted by first name.

  • sort= - not providing any value will result in error 400
  • sort=+firstName,+firstName - same values will result in error 400
  • sort=-firstName,+firstName - mutually exclusive values will return error 400
  • maxItem=5 - Only five values will be accepted, more will return error 400
  • qRelevance is optional ordering parameter which is available if q filter is used, if q filter is not passed qRelevance as ordering parameter will return error 400
sort
string

Token string value that references a page for pagination. This value is received when retrieving the first page in the nextPageToken and prevPageToken fields. When a pageToken is provided, the backend remembers search parameters from the original request, so search parameters that affect the result set or order are optional and will be ignored if provided. Representation parameters like include should still be applied.

integer
1 to 500
Defaults to 100

The number of entries to return per page. The maximum range of valid page sizes is documented with minimum and maximum values, but the range might be further limited dynamically based on the requested information, account, and system status. Values outside of the (dynamic) allowed range will not result in an error, but will be clamped to the nearest limit. Thus, logic to detect the last page should not be based on comparing the requested size with the received size, but on the existence of a nextPageToken value.

id__in
array of strings

Filter to get the users whose id is on the provided list. The lookup is exact and case insensitive.

id__in
id__notIn
array of strings

Filter to exlude the users whose ids are in the provided list. The lookup is exact and case insensitive.

id__notIn
locationId__in
array of strings

List of Location IDs to filter on that is comma separated.

locationId__in
string

Filter to get the users with an locationId that is not equal to the provided value. The lookup is exact but case insensitive.

firstName__in
array of strings

Filter to get the users whose firstName is on the provided list. The lookup is exact but case insensitive

firstName__in
string

Filter to get the users whose the firstName contains the provided substring. The lookup is exact but case insensitive

lastName__in
array of strings

Filter to get the users whose lastName is on the provided list. The lookup is exact but case insensitive

lastName__in
string

Filter to get the users whose the lastName contains the provided substring. The lookup is exact but case insensitive

email__in
array of strings

Filter to get the users whose email is on the provided list. The lookup is exact but case insensitive

email__in
string

Filter to get the users whose the email contains provided substring. The lookup is exact but case insensitive

boolean

Filter to get the users with provided administrator value.

status.loginStatus__in
array of strings

Filter to get the users whose loginStatus is on the provided list. The lookup is exact but case insensitive

status.loginStatus__in
string

Text search that is applied to multiple fields. The fields being searched are defined by the backend and can be changed without warning. Example fields being searched: firstName, lastName, email.

float
0 to 1

Sets the current minimum similarity threshold that is used with the q parameter. The threshold must be between 0 and 1 (float, default is 0.5).

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json